# UndirectedVertex | data-structure-typed
Documentation for data-structure-typed

# Class UndirectedVertex<T>

#### Type Parameters

- #### T = number

#### Hierarchy

- AbstractVertex <T>
  - UndirectedVertex

- Defined in src/data-structures/graph/undirected-graph.ts:13

#####
Index

### Constructors

constructor

### Accessors

id
val

## Constructors

### constructor

- new UndirectedVertex<T>(id, val?): UndirectedVertex <T>

- The constructor function initializes a vertex with an optional value.

  #### Type Parameters

  - #### T = number

  #### Parameters

  - ##### id: VertexId

    The `id` parameter is of type `VertexId` and represents the identifier of the vertex. It is used to uniquely identify the vertex within a graph or network.

  - ##### `Optional` val: T

    The "val" parameter is an optional parameter of type T. It is used to initialize the value of the vertex. If no value is provided, the vertex will be initialized with a default value.

  #### Returns UndirectedVertex <T>

  Overrides AbstractVertex.constructor

  - Defined in src/data-structures/graph/undirected-graph.ts:21

## Accessors

### id

- get id(): VertexId

- #### Returns VertexId

  Inherited from AbstractVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:28
- set id(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  Inherited from AbstractVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:32

### val

- get val(): undefined | T

- #### Returns undefined | T

  Inherited from AbstractVertex.val

  - Defined in src/data-structures/graph/abstract-graph.ts:38
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Inherited from AbstractVertex.val

  - Defined in src/data-structures/graph/abstract-graph.ts:42

Generated using TypeDoc